Incorporate upstream commit 8a0961482698290713d14d7755d9280397804487 to 3.5 LTS kernel to address wifi issues with BCM4313

Bug #1156769 reported by Khalid Aziz on 2013-03-18
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Joseph Salisbury
Quantal
Medium
Joseph Salisbury

Bug Description

brcmsmac driver in current LTS kernel has a bug that causes the driver to generate lots of error messages and slows wifi down. Commit id 8a0961482698290713d14d7755d9280397804487 was committed to upstream kernel to address this bug and should be backported to LTS kernel.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-generic-lts-quantal 3.5.0.25.32
ProcVersionSignature: Ubuntu 3.5.0-25.39~precise1-generic 3.5.7.4
Uname: Linux 3.5.7.4-aziz i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.25.
ApportVersion: 2.0.1-0ubuntu17.1
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: MID [HDA Intel MID], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: khalid 1809 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'MID'/'HDA Intel MID at 0x940c0000 irq 40'
   Mixer name : 'Silicon Image SiI1392 HDMI'
   Components : 'HDA:111d7603,103c145a,00100202 HDA:10951392,ffffffff,00100000'
   Controls : 27
   Simple ctrls : 12
Date: Mon Mar 18 12:49:13 2013
HibernationDevice: RESUME=UUID=072deab7-1049-4fc9-9599-bbaeb85a696e
InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release i386 (20130213)
MachineType: Hewlett-Packard HP Slate 500
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 psbfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.7.4-aziz root=UUID=496e874c-bd39-441f-b058-5d736416dd7d ro earlyprintk=vga
RelatedPackageVersions:
 linux-restricted-modules-3.5.7.4-aziz N/A
 linux-backports-modules-3.5.7.4-aziz N/A
 linux-firmware 1.79.1
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
WifiSyslog:
 Mar 18 09:14:46 dadra kernel: [45005.488064] SGI XFS with ACLs, security attributes, realtime, large block/inode numbers, no debug enabled
 Mar 18 09:14:46 dadra kernel: [45005.519419] JFS: nTxBlock = 7945, nTxLock = 63566
 Mar 18 09:14:46 dadra kernel: [45005.603623] NTFS driver 2.1.30 [Flags: R/O MODULE].
 Mar 18 09:14:46 dadra kernel: [45005.688779] QNX4 filesystem 0.2.3 registered.
 Mar 18 09:14:46 dadra kernel: [45005.751016] Btrfs loaded
dmi.bios.date: 11/22/2010
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.04
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 145A
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 681B
dmi.chassis.asset.tag: CNU0242QX4
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.04:bd11/22/2010:svnHewlett-Packard:pnHPSlate500:pvr0497100000202900110320000:rvnHewlett-Packard:rn145A:rvr681B:cvnHewlett-Packard:ct10:cvrN/A:
dmi.product.name: HP Slate 500
dmi.product.version: 0497100000202900110320000
dmi.sys.vendor: Hewlett-Packard

Khalid Aziz (khalid-gonehiking) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Confirmed → In Progress
tags: added: patch
Joseph Salisbury (jsalisbury) wrote :

I built a Quantal test kernel with the commit applied. The kernel can be downloaded from:
http://people.canonical.com/~jsalisbury/lp1156769/

Can you test that kernel and confirm it resolves this bug? If it does, I'll submit a Quantal SRU request.

Changed in linux (Ubuntu Quantal):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Joseph Salisbury (jsalisbury)
tags: added: quantal

The attachment "Upstream patch to address BCM4313 bug" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

On Mon, 2013-03-18 at 20:26 +0000, Joseph Salisbury wrote:
> I built a Quantal test kernel with the commit applied. The kernel can be downloaded from:
> http://people.canonical.com/~jsalisbury/lp1156769/
>
> Can you test that kernel and confirm it resolves this bug? If it does,
> I'll submit a Quantal SRU request.

I tested this kernel on my tablet and yes, it does resolve this bug.

Tim Gardner (timg-tpi) on 2013-03-19
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu):
status: In Progress → Fix Released
Brad Figg (brad-figg) wrote :

This is a trivial, obviously correct commit.

tags: added: verification-passed-quantal
tags: added: verification-done-quantal
removed: verification-passed-quantal

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (13.2 KiB)

This bug was fixed in the package linux - 3.5.0-27.46

---------------
linux (3.5.0-27.46) quantal-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1159991

  [ Steve Conklin ]

  * Start New Release

  [ Upstream Kernel Changes ]

  * crypto: user - fix info leaks in report API
    - LP: #1156790, #1156795, #1156799
    - CVE-2013-2546
  * brcmsmac: fix mismatch in number of custom regulatory rules
    - LP: #1156769

  [ Xiangliang Yu ]

  * SAUCE: PCI: define macro for marvell vendor ID
    - LP: #1159863
  * SAUCE: PCI: fix system hang issue of Marvell SATA host controller
    - LP: #1159863

linux (3.5.0-27.45) quantal-proposed; urgency=low

  [Steve Conklin]

  * no change

linux (3.5.0-27.44) quantal-proposed; urgency=low

  [Steve Conklin]

  * no change

linux (3.5.0-27.43) quantal-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1156821

  [ Adam Lee ]

  * SAUCE: Bluetooth: Add support for 04ca:2007
    - LP: #1153448

  [ Andy Whitcroft ]

  * [Config] re-disable CONFIG_SOUND_OSS_PRECLAIM
    - LP: #1105230

  [ Brad Figg ]

  * Start new release

  [ Kamal Mostafa ]

  * SAUCE: alx: use github.com/qca/alx repo
    - LP: #1154238

  [ Luis Henriques ]

  * [Config] CONFIG_NFS_V4_1=y
    - LP: #1111416

  [ Qualcomm Atheros, Inc ]

  * SAUCE: alx: Update to heads/master
    - LP: #1154238

  [ Upstream Kernel Changes ]

  * Revert "drm: Add EDID_QUIRK_FORCE_REDUCED_BLANKING for ASUS VW222S"
    - LP: #1144961
  * genirq: Avoid deadlock in spurious handling
    - LP: #1144961
  * KVM: s390: Handle hosts not supporting s390-virtio.
    - LP: #1144961
  * v4l: Reset subdev v4l2_dev field to NULL if registration fails
    - LP: #1144961
  * powerpc/eeh: Fix crash when adding a device in a slot with DDW
    - LP: #1144961
  * pcmcia/vrc4171: Add missing spinlock init
    - LP: #1144961
  * USB: DWC3: Generate interrupt on each TRB as default option
    - LP: #1144961
  * usb: dwc3: gadget: fix skip LINK_TRB on ISOC
    - LP: #1144961
  * usb: dwc3: gadget: req->queued must be forced to false in cleanup
    - LP: #1144961
  * Purge existing TLB entries in set_pte_at and ptep_set_wrprotect
    - LP: #1144961
  * ARM: PXA3xx: program the CSMSADRCFG register
    - LP: #1144961
  * ab8500-chargalg: Only root should have write permission on sysfs file
    - LP: #1144961
  * USB: option: add and update Alcatel modems
    - LP: #1144961
  * uprobes/powerpc: Add dependency on single step emulation
    - LP: #1144961
  * drivers/video: fsl-diu-fb: fix pixel formats for 24 and 16 bpp
    - LP: #1144961
  * s390/kvm: Fix store status for ACRS/FPRS
    - LP: #1144961
  * staging: comedi: disallow COMEDI_DEVCONFIG on non-board minors
    - LP: #1144961
  * ALSA: usb-audio: fix Roland A-PRO support
    - LP: #1144961
  * x86-32, mm: Rip out x86_32 NUMA remapping code
    - LP: #1144961
  * x86-32, mm: Remove reference to resume_map_numa_kva()
    - LP: #1144961
  * x86-32, mm: Remove reference to alloc_remap()
    - LP: #1144961
  * ALSA: hda - Release assigned pin/cvt at error path of hdmi_pcm_open()
    - LP: #1144961
  * ab8500_btemp: Demote initcall sequence
    - LP: #1144961
  * Driver co...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.